### Method

# Clutter BrightnessContrastEffect set_brightness

#### Declaration [src]

    void
    clutter_brightness_contrast_effect_set_brightness (
      ClutterBrightnessContrastEffect* effect,
      float brightness
    )

#### Description [src]

The range of `brightness` is [-1.0, 1.0], where 0.0 designates no change; a value below 0.0 indicates a decrease in brightness; and a value above 0.0 indicates an increase of brightness.

Sets property | `Clutter.BrightnessContrastEffect:brightness`

#### Parameters

`brightness`

  Type: `float`

  The brightness change for all three components (r, g, b).